# Integration Quick Guide

Before you can start building integration with TransactionLink, you will need to have at least one workflow ready and created by us. You will then need to setup your API keys, and implement a code snippet to trigger the onboarding widget.

### Useful links

* API reference — [https://docs.transactionlink.io/reference](https://docs.transactionlink.io/docs/transactionlink-api/api-reference)
* TransactionLink dashboard — <https://dashboard.transactionlink.io/>

## Step 1: Getting sandbox access and your first workflow

If you do not have one yet, you will need to get in touch with us. Our team will work with you to understand your onboarding needs and help you craft the most suitable workflow.

You will receive sandbox access to our dashboard.

## Step 2: Acquire your API keys To ensure secure authentication of your API requests.&#x20;

TransactionLink utilizes API keys associated with your workspace. It is crucial to include the correct API key when making an API request; otherwise, TransactionLink will return an error.

On each account, you can create multiple workspaces. There are two types of workspaces: sandbox and live. The sandbox workspace is isolated from production and is intended for integration testing. In the sandbox environment, dummy data is returned, allowing you to test your integrations without affecting real production data.

{% hint style="warning" %}
When performing testing and development, it is important to exclusively utilize sandbox workspaces
{% endhint %}

## Step 3: Make a test API request

To verify the proper functionality of your integration, initiate a test API request using your workspace API keys.

```bash
curl --request POST \
  --url https://api.sandbox.transactionlink.io/auth/authorize \
  --header 'Content-Type: application/json' \
  --data '{
	"key":"NDNSUIUI788NMM",
	"secret":"TNJM747DJJANJUYW"
}'
```

You will receive an `access token` in response, granting you the ability to perform further operations within our API.

```json
{
	"accessToken": "<...>",
	"refreshToken": "<...>",
	"expiryDuration": 86400,
	"tokenType": "Bearer"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integration-quick-guide.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
